<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.cecep.talroad.mapper.OdsAirRegionAqiHourIMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="cn.cecep.talroad.domain.OdsAirRegionAqiHourI">
        <id column="id" property="id" />
        <result column="datatime" property="datatime" />
        <result column="uploadtime" property="uploadtime" />
        <result column="value_2473" property="value2473" />
        <result column="value_2481" property="value2481" />
        <result column="value_2483" property="value2483" />
        <result column="value_2484" property="value2484" />
        <result column="value_4402" property="value4402" />
        <result column="value_4404" property="value4404" />
        <result column="value_4405" property="value4405" />
        <result column="value_4406" property="value4406" />
        <result column="value_4407" property="value4407" />
        <result column="value_4467" property="value4467" />
        <result column="value_4468" property="value4468" />
        <result column="value_4471" property="value4471" />
        <result column="value_4D71" property="value4d71" />
        <result column="value_4472" property="value4472" />
        <result column="value_4474" property="value4474" />
        <result column="value_4482" property="value4482" />
        <result column="value_4485" property="value4485" />
        <result column="value_4486" property="value4486" />
        <result column="value_4487" property="value4487" />
        <result column="value_4488" property="value4488" />
        <result column="value_4489" property="value4489" />
        <result column="value_448A" property="value448a" />
        <result column="value_448B" property="value448b" />
        <result column="status_2473" property="status2473" />
        <result column="status_2481" property="status2481" />
        <result column="status_2483" property="status2483" />
        <result column="status_2484" property="status2484" />
        <result column="status_4402" property="status4402" />
        <result column="status_4404" property="status4404" />
        <result column="status_4405" property="status4405" />
        <result column="status_4406" property="status4406" />
        <result column="status_4407" property="status4407" />
        <result column="status_4467" property="status4467" />
        <result column="status_4468" property="status4468" />
        <result column="status_4471" property="status4471" />
        <result column="status_4D71" property="status4d71" />
        <result column="status_4472" property="status4472" />
        <result column="status_4474" property="status4474" />
        <result column="status_4482" property="status4482" />
        <result column="status_4485" property="status4485" />
        <result column="status_4486" property="status4486" />
        <result column="status_4487" property="status4487" />
        <result column="status_4488" property="status4488" />
        <result column="status_4489" property="status4489" />
        <result column="status_448A" property="status448a" />
        <result column="status_448B" property="status448b" />
        <result column="level" property="level" />
        <result column="levelName" property="levelName" />
        <result column="typeName" property="typeName" />
        <result column="primaryPollutant" property="primaryPollutant" />
        <result column="overlimitPollutant" property="overlimitPollutant" />
        <result column="iaqi_4402" property="iaqi4402" />
        <result column="iaqi_4404" property="iaqi4404" />
        <result column="iaqi_4467" property="iaqi4467" />
        <result column="iaqi_4471" property="iaqi4471" />
        <result column="iaqi_4D71" property="iaqi4d71" />
        <result column="iaqi_4486" property="iaqi4486" />
        <result column="iaqi_448A" property="iaqi448a" />
        <result column="aqi" property="aqi" />
        <result column="code" property="code" />
        <result column="name" property="name" />
        <result column="cityname" property="cityname" />
        <result column="provinceName" property="provinceName" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, datatime, uploadtime, value_2473, value_2481, value_2483, value_2484, value_4402, value_4404, value_4405, value_4406, value_4407, value_4467, value_4468, value_4471, value_4D71, value_4472, value_4474, value_4482, value_4485, value_4486, value_4487, value_4488, value_4489, value_448A, value_448B, status_2473, status_2481, status_2483, status_2484, status_4402, status_4404, status_4405, status_4406, status_4407, status_4467, status_4468, status_4471, status_4D71, status_4472, status_4474, status_4482, status_4485, status_4486, status_4487, status_4488, status_4489, status_448A, status_448B, level, levelName, typeName, primaryPollutant, overlimitPollutant, iaqi_4402, iaqi_4404, iaqi_4467, iaqi_4471, iaqi_4D71, iaqi_4486, iaqi_448A, aqi, code, name, cityname, provinceName
    </sql>

</mapper>
